summaryrefslogtreecommitdiffhomepage
path: root/subr/pkg_install_pre.subr
diff options
context:
space:
mode:
Diffstat (limited to 'subr/pkg_install_pre.subr')
-rw-r--r--subr/pkg_install_pre.subr16
1 files changed, 16 insertions, 0 deletions
diff --git a/subr/pkg_install_pre.subr b/subr/pkg_install_pre.subr
new file mode 100644
index 00000000..f2273ba4
--- /dev/null
+++ b/subr/pkg_install_pre.subr
@@ -0,0 +1,16 @@
+#
+# set -o errexit -o noglob are assumed.
+#
+
+pkg_install_pre() {
+ if [ "${PKG_NAME%flavour_minipix}" != "${PKG_NAME}" ] \
+ && [ ${ARG_DEBUG_MINIPIX:-0} -eq 0 ]; then
+ find "${PREFIX_MINIPIX}" -perm /a=x \
+ \( -type f -or -type l \) > "${WORKDIR}/.stat_minipix.old";
+ elif [ "${BUILD}" = release ]; then
+ find "${PREFIX_NATIVE}/bin" -perm /a=x \
+ \( -type f -or -type l \) > "${WORKDIR}/.stat_native.old";
+ fi;
+};
+
+# vim:filetype=sh